cURL
curl "https://api.haau3.com/v1/fhir/r4/Practitioner/Practitioner-1093209884" \
-H "Authorization: Bearer $HAAU3_API_KEY"import { Haau3 } from "@haau3/sdk";
const haau3 = new Haau3(); // reads HAAU3_API_KEY
const practitioner = await haau3.readPractitioner("Practitioner-1093209884");
console.log(practitioner.id);
from haau3 import Haau3
client = Haau3() # reads HAAU3_API_KEY
practitioner = client.read_practitioner("Practitioner-1093209884")
print(practitioner.get("id"))
package main
import (
"context"
"fmt"
"log"
"github.com/haau3/haau3-go"
)
func main() {
ctx := context.Background()
client, err := haau3.NewClient() // reads HAAU3_API_KEY
if err != nil {
log.Fatal(err)
}
practitioner, err := client.ReadPractitioner(ctx, "Practitioner-1093209884")
if err != nil {
log.Fatal(err)
}
if practitioner.ID != nil {
fmt.Println(*practitioner.ID)
}
}
{
"resourceType": "Practitioner",
"id": "Practitioner-1093209884",
"meta": {
"lastUpdated": "2026-10-14T19:24:16.999300087Z",
"profile": [
"http://hl7.org/fhir/us/ndh/StructureDefinition/ndh-Practitioner"
],
"versionId": "1"
},
"extension": [
{
"url": "https://directory.cms.gov/fhir/StructureDefinition/base-ext-cms-identity-verified",
"valueBoolean": false
},
{
"url": "https://directory.cms.gov/fhir/StructureDefinition/base-ext-cms_medicare_enrollment",
"valueBoolean": true
},
{
"url": "https://directory.cms.gov/fhir/StructureDefinition/base-ext-hhs-in-exclusion-list",
"valueBoolean": false
},
{
"url": "https://directory.cms.gov/fhir/StructureDefinition/base-ext-cms_aligned_with_data_network",
"valueBoolean": true
}
],
"identifier": [
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/v2-0203",
"code": "PRN",
"display": "Provider number"
}
],
"text": "NPI"
},
"system": "http://hl7.org/fhir/sid/us-npi",
"use": "official",
"value": "1093209884",
"period": {
"start": "2018-06-15T00:00:00Z"
}
}
],
"active": true,
"name": [
{
"given": [
"JAISHREE"
],
"family": "LEREW",
"use": "official"
},
{
"given": [
"JAISHREE",
"CHANDRAN"
],
"family": "PALANISAMY",
"use": "usual",
"period": {
"start": "2023-05-01T00:00:00Z"
}
},
{
"given": [
"JAISHREE",
"PALANISAMY"
],
"family": "LEREW",
"use": "official"
}
],
"telecom": [
{
"system": "phone",
"value": "2483385392",
"use": "work"
},
{
"system": "phone",
"value": "6053287595",
"use": "work"
},
{
"system": "phone",
"value": "6053288200",
"use": "work"
},
{
"system": "phone",
"value": "6053289000",
"use": "work"
},
{
"system": "phone",
"value": "6053289419",
"use": "work"
},
{
"system": "phone",
"value": "6053331000",
"use": "work"
},
{
"system": "phone",
"value": "6059955635",
"use": "work"
}
],
"address": [
{
"line": [
"1305 W 18th St"
],
"city": "Sioux Falls",
"state": "SD",
"postalCode": "57105",
"country": "US",
"type": "physical",
"use": "work"
},
{
"line": [
"1310 W 22nd St"
],
"city": "Sioux Falls",
"state": "SD",
"postalCode": "57105",
"country": "US",
"type": "physical",
"use": "work"
},
{
"line": [
"4405 E 26th St"
],
"city": "Sioux Falls",
"state": "SD",
"postalCode": "57103",
"country": "US",
"type": "physical",
"use": "work"
},
{
"line": [
"525 N Foster St"
],
"city": "Mitchell",
"state": "SD",
"postalCode": "57301",
"country": "US",
"type": "physical",
"use": "work"
}
],
"gender": "female",
"qualification": [
{
"code": {
"coding": [
{
"system": "http://nucc.org/provider-taxonomy",
"code": "207Y00000X",
"display": "Otolaryngology Physician"
}
],
"text": "Otolaryngology Physician"
}
},
{
"code": {
"coding": [
{
"system": "http://nucc.org/provider-taxonomy",
"code": "207Y00000X",
"display": "Otolaryngology Physician"
}
]
},
"issuer": {
"reference": "Organization/Organization-State-MI"
},
"identifier": [
{
"use": "official",
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/v2-0203",
"code": "MD",
"display": "Medical license number"
}
]
},
"value": "5101024069"
}
]
},
{
"code": {
"coding": [
{
"system": "http://nucc.org/provider-taxonomy",
"code": "207Y00000X",
"display": "Otolaryngology Physician"
}
]
},
"issuer": {
"reference": "Organization/Organization-State-SD"
},
"identifier": [
{
"use": "official",
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/v2-0203",
"code": "MD",
"display": "Medical license number"
}
]
},
"value": "15452"
}
]
},
{
"code": {
"coding": [
{
"system": "http://hl7.org/fhir/us/ndh/CodeSystem/FaCeT-credentialCS",
"code": "DO",
"display": "Doctor of Osteopathy"
}
]
}
},
{
"code": {
"coding": [
{
"system": "http://hl7.org/fhir/us/ndh/CodeSystem/FaCeT-credentialCS",
"code": "MD",
"display": "Doctor of Medicine"
}
]
}
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "error",
"code": "forbidden",
"details": {
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/api-error",
"code": "test-key-outside-sandbox",
"display": "Test key outside the Sandbox"
}
],
"text": "This is a test key, which works only in the Sandbox (https://api.haau3.com/v1/sandbox/fhir/r4). Send this request with a live key; create one in the dashboard. See https://docs.haau3.com/authentication#test-and-live-keys"
}
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}Provider directory
Read a Practitioner
Read one practitioner by id, as returned by a search on this service.
GET
/
v1
/
fhir
/
r4
/
Practitioner
/
{id}
cURL
curl "https://api.haau3.com/v1/fhir/r4/Practitioner/Practitioner-1093209884" \
-H "Authorization: Bearer $HAAU3_API_KEY"import { Haau3 } from "@haau3/sdk";
const haau3 = new Haau3(); // reads HAAU3_API_KEY
const practitioner = await haau3.readPractitioner("Practitioner-1093209884");
console.log(practitioner.id);
from haau3 import Haau3
client = Haau3() # reads HAAU3_API_KEY
practitioner = client.read_practitioner("Practitioner-1093209884")
print(practitioner.get("id"))
package main
import (
"context"
"fmt"
"log"
"github.com/haau3/haau3-go"
)
func main() {
ctx := context.Background()
client, err := haau3.NewClient() // reads HAAU3_API_KEY
if err != nil {
log.Fatal(err)
}
practitioner, err := client.ReadPractitioner(ctx, "Practitioner-1093209884")
if err != nil {
log.Fatal(err)
}
if practitioner.ID != nil {
fmt.Println(*practitioner.ID)
}
}
{
"resourceType": "Practitioner",
"id": "Practitioner-1093209884",
"meta": {
"lastUpdated": "2026-10-14T19:24:16.999300087Z",
"profile": [
"http://hl7.org/fhir/us/ndh/StructureDefinition/ndh-Practitioner"
],
"versionId": "1"
},
"extension": [
{
"url": "https://directory.cms.gov/fhir/StructureDefinition/base-ext-cms-identity-verified",
"valueBoolean": false
},
{
"url": "https://directory.cms.gov/fhir/StructureDefinition/base-ext-cms_medicare_enrollment",
"valueBoolean": true
},
{
"url": "https://directory.cms.gov/fhir/StructureDefinition/base-ext-hhs-in-exclusion-list",
"valueBoolean": false
},
{
"url": "https://directory.cms.gov/fhir/StructureDefinition/base-ext-cms_aligned_with_data_network",
"valueBoolean": true
}
],
"identifier": [
{
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/v2-0203",
"code": "PRN",
"display": "Provider number"
}
],
"text": "NPI"
},
"system": "http://hl7.org/fhir/sid/us-npi",
"use": "official",
"value": "1093209884",
"period": {
"start": "2018-06-15T00:00:00Z"
}
}
],
"active": true,
"name": [
{
"given": [
"JAISHREE"
],
"family": "LEREW",
"use": "official"
},
{
"given": [
"JAISHREE",
"CHANDRAN"
],
"family": "PALANISAMY",
"use": "usual",
"period": {
"start": "2023-05-01T00:00:00Z"
}
},
{
"given": [
"JAISHREE",
"PALANISAMY"
],
"family": "LEREW",
"use": "official"
}
],
"telecom": [
{
"system": "phone",
"value": "2483385392",
"use": "work"
},
{
"system": "phone",
"value": "6053287595",
"use": "work"
},
{
"system": "phone",
"value": "6053288200",
"use": "work"
},
{
"system": "phone",
"value": "6053289000",
"use": "work"
},
{
"system": "phone",
"value": "6053289419",
"use": "work"
},
{
"system": "phone",
"value": "6053331000",
"use": "work"
},
{
"system": "phone",
"value": "6059955635",
"use": "work"
}
],
"address": [
{
"line": [
"1305 W 18th St"
],
"city": "Sioux Falls",
"state": "SD",
"postalCode": "57105",
"country": "US",
"type": "physical",
"use": "work"
},
{
"line": [
"1310 W 22nd St"
],
"city": "Sioux Falls",
"state": "SD",
"postalCode": "57105",
"country": "US",
"type": "physical",
"use": "work"
},
{
"line": [
"4405 E 26th St"
],
"city": "Sioux Falls",
"state": "SD",
"postalCode": "57103",
"country": "US",
"type": "physical",
"use": "work"
},
{
"line": [
"525 N Foster St"
],
"city": "Mitchell",
"state": "SD",
"postalCode": "57301",
"country": "US",
"type": "physical",
"use": "work"
}
],
"gender": "female",
"qualification": [
{
"code": {
"coding": [
{
"system": "http://nucc.org/provider-taxonomy",
"code": "207Y00000X",
"display": "Otolaryngology Physician"
}
],
"text": "Otolaryngology Physician"
}
},
{
"code": {
"coding": [
{
"system": "http://nucc.org/provider-taxonomy",
"code": "207Y00000X",
"display": "Otolaryngology Physician"
}
]
},
"issuer": {
"reference": "Organization/Organization-State-MI"
},
"identifier": [
{
"use": "official",
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/v2-0203",
"code": "MD",
"display": "Medical license number"
}
]
},
"value": "5101024069"
}
]
},
{
"code": {
"coding": [
{
"system": "http://nucc.org/provider-taxonomy",
"code": "207Y00000X",
"display": "Otolaryngology Physician"
}
]
},
"issuer": {
"reference": "Organization/Organization-State-SD"
},
"identifier": [
{
"use": "official",
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/v2-0203",
"code": "MD",
"display": "Medical license number"
}
]
},
"value": "15452"
}
]
},
{
"code": {
"coding": [
{
"system": "http://hl7.org/fhir/us/ndh/CodeSystem/FaCeT-credentialCS",
"code": "DO",
"display": "Doctor of Osteopathy"
}
]
}
},
{
"code": {
"coding": [
{
"system": "http://hl7.org/fhir/us/ndh/CodeSystem/FaCeT-credentialCS",
"code": "MD",
"display": "Doctor of Medicine"
}
]
}
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "error",
"code": "forbidden",
"details": {
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/api-error",
"code": "test-key-outside-sandbox",
"display": "Test key outside the Sandbox"
}
],
"text": "This is a test key, which works only in the Sandbox (https://api.haau3.com/v1/sandbox/fhir/r4). Send this request with a live key; create one in the dashboard. See https://docs.haau3.com/authentication#test-and-live-keys"
}
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}Authorizations
A live platform API key (haau3_sk_live_…), sent as Authorization: Bearer <key>. It works for every service outside the Sandbox. Create one on the API keys page at https://platform.haau3.com.
Headers
An id of your own for this request, as a UUID. It comes back in the X-Correlation-Id header and is kept with haau3's record of the request. Any value that is not a UUID is ignored. See https://docs.haau3.com/errors#request-ids.
Path Parameters
The resource id, as returned by a search on this service. Ids are opaque: they are not constructed from an NPI or any other identifier.
Pattern:
^[A-Za-z0-9\-.]{1,64}$Response
The Practitioner, as the directory publishes it.
A FHIR R4 Practitioner.
Allowed value:
"Practitioner"